Skip to main content
GET
List Roles

Authorizations

Authorization
string
header
required

OAuth 2.0 client credentials. Alternatively, you can authenticate with a personal access token (PAT) by sending Authorization: Basic base64(email:PAT).

Scopes

management:roles:read

Read access to role resources.

Query Parameters

type
enum<string>

Filter by role type.

Available options:
system_role,
access_role
limit
integer
default:20

Maximum number of items to return. Default 20, maximum 100.

Required range: x <= 100
cursor
string

Pagination cursor from next_cursor in the previous response. Omit to start from the beginning.

Response

200 - application/json

OK

limit
integer

Maximum number of items per page as requested.

next_cursor
string | null

Pagination cursor for the next page. null when no further pages exist. Total count is not returned.

items
object[]
Last modified on November 12, 2026